Subject: Re: bug#12646: 24.2.50; Eshell problem with mailx(1)

From: Stephen Berman <[email-masked]>
Date: Tue, 16 Oct 2012 15:27:07 +0200

On Mon, 15 Oct 2012 16:06:14 +0200 Andreas Schwab <[email-masked]> wrote:

> Eshell creates a new tty for each command, so any setting will never be
> persistent.

I tried tracing the eshell call chain after invoking mailx, but I
couldn't find where the tty gets created; can you point me to the code?
Also, why is the tty always created with the rows terminal
characteristic set to 0?  Does Eshell do this (if so, where?) or is it a
system or kernel default that Eshell doesn't change?  Thanks.

Steve Berman